summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGaetan Nadon <memsize@videotron.ca>2012-01-03 21:12:24 -0500
committerDaniel Vetter <daniel.vetter@ffwll.ch>2012-01-04 10:47:11 +0100
commita03ef7abb508223bce65366d2ef9193521513d00 (patch)
treeed40690b5b1e149ef203c25383e95e101d671bf4
parent665b86664ab5b4a8a076682d9c879f7a9fbeb756 (diff)
config: set-up xorg automatic rebuilding rules
The current code is a noop. Use the same configuration as all the other xorg modules. This will change in the future but it is less confusing when all modules behave the same way. Note that these rules apply to building from a tarball only. Restore autogen.sh to be identical in all xorg modules. Signed-off-by: Gaetan Nadon <memsize@videotron.ca> Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
-rwxr-xr-xautogen.sh14
-rw-r--r--configure.ac2
2 files changed, 11 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index 30d679f4..904cd674 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,12 @@
#! /bin/sh
-test -n "$srcdir" || srcdir=`dirname "$0"`
-test -n "$srcdir" || srcdir=.
-autoreconf --force --install --verbose "$srcdir"
-test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
diff --git a/configure.ac b/configure.ac
index 8515dcad..73a9e296 100644
--- a/configure.ac
+++ b/configure.ac
@@ -32,7 +32,7 @@ AC_CONFIG_MACRO_DIR([m4])
AC_CONFIG_AUX_DIR([build-aux])
AM_INIT_AUTOMAKE([1.10 foreign dist-bzip2])
-AM_MAINTAINER_MODE([enable])
+AM_MAINTAINER_MODE
# Initialize libtool
LT_PREREQ([2.2])